libhangul 빌드에 대하여

ssg2048의 이미지

https://gitlab.com/3beol/libhangul 에 있는 작년 버전 libhangul을 우분투 18에서 빌드하고 싶습니다.

예전 구버전일 때에는 설치에 필요한 프로그램들을 전부 설치해서 libhangul을 빌드할 수 있었는데,

언제부터인가 이 방법이 잘 되지 않습니다.

혹시 이 libhangul을 빌드하는 방법을 아시는 분께서 계시면 알려주시면 감사드리겠습니다.

Hodong Kim@Google의 이미지

libhangul/autogen.sh 라는 파일이 있는데 그 파일을 아래 내용으로 교체한 후

#!/bin/sh
# Run this to generate all the initial makefiles, etc.
 
test -n "$srcdir" || srcdir=`dirname "$0"`
test -n "$srcdir" || srcdir=.
test -f ChangeLog || touch ChangeLog
test -f config.rpath || touch config.rpath
 
olddir=`pwd`
cd "$srcdir"
 
mkdir -p m4
 
PKGCONFIG=`which pkg-config`
if test -z "$PKGCONFIG"; then
    echo "pkg-config not found, please install pkg-config"
    exit 1
fi
 
LIBTOOLIZE=`which libtoolize`
if test -z $LIBTOOLIZE; then
    echo "libtoolize not found, please install libtool package"
    exit 1
fi
 
INTLTOOLIZE=`which intltoolize`
if test -z $INTLTOOLIZE; then
    echo "intltoolize not found, please install intltool package"
    exit 1
else
    intltoolize --force --copy --automake || exit $?
fi
 
AUTORECONF=`which autoreconf`
if test -z $AUTORECONF; then
    echo "autoreconf not found, please install autoconf package"
    exit 1
else
    autoreconf --force --install --verbose || exit $?
fi
 
cd "$olddir"
test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"

아래 명령을 하시면 컴파일 됩니다.

./autogen.sh
make -j 4
Hodong Kim@Google의 이미지

ssg2048의 이미지

알려주신 덕분에 libhangul을 컴파일하고 설치할 수 있었습니다.
알려주셔서 정말 감사드립니다!